PSUTILS(1)

NAME
psutils

SYNOPSIS
psutils [OPTION...] -NUMBER [INFILE [OUTFILE]]

DESCRIPTION

psnup uses pstops to impose multiple logical pages on to each physical sheet of paper.

Paper sizes can be given either as a name (see paper(1)) or as widthxheight (see psutils(1) for the available units). Put multiple pages of a PostScript document on to one page.

-NUMBER
    number of pages to impose on each output page

INFILE
    `-' or no INFILE argument means standard input

OUTFILE
    `-' or no OUTFILE argument means standard output

OPTIONS

-p PAPER, --paper PAPER
    output paper name or dimensions (WIDTHxHEIGHT)

-P INPAPER, --inpaper INPAPER
    input paper name or dimensions (WIDTHxHEIGHT)

-m DIMENSION, --margin DIMENSION
    width of margin around each output page [default 0pt]; useful for thumbnail sheets, as the original page margins will be shrunk

-b DIMENSION, --border DIMENSION
    width of border around each input page

-d [DIMENSION], --draw [DIMENSION]
    draw a line of given width (relative to original page) around each page [argument defaults to 1pt; default is no line; width is fixed for PDF]

-l, --rotatedleft
    input pages are rotated left 90 degrees

-r, --rotatedright
    input pages are rotated right 90 degrees

-f, --flip
    swap output pages' width and height

-c, --transpose
    swap columns and rows (column-major order)

-t NUMBER, --tolerance NUMBER
    maximum wasted area in square pt [default: 100000]

-v, --version
    show program's version number and exit

-q, --quiet
    don't show progress

COMMENTS
psnup aborts with an error if it cannot arrange the input pages so as to waste less than the given tolerance. The output page size defaults to the input page size; if none is specified in the document or on the command line, the default given by the `paper' command is used. The input page size defaults to the output page size. In row-major order (the default), adjacent pages are placed in rows across the paper; in column-major order, they are placed in columns down the page.

EXAMPLES
The potential use of this utility is varied but one particular use is in conjunction with psbook(1). For example, using groff to create a PostScript document and lpr as the UNIX print spooler a typical command line might look like this:

groff -Tps -ms file | psbook | psnup -2 | lpr

where file is a 4 page document this command will result in a two page document printing two pages of file per page and rearranges the page order to match the input pages 4 and 1 on the first output page and pages 2 then 3 of the input document on the second output page.

AUTHOR
Reuben Thomas <rrt@sc3d.org>